org.eclipse.actf.util.win32.comclutch

## Class ComPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.actf.util.win32.comclutch.ComPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ComPlugin
    extends AbstractUIPlugin

The main plugin class to be used in the desktop.

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ComPlugin()` The constructor.

### Method Summary

Methods
`BrowserHistory` `getBrowserHistory()`
`static ComPlugin` `getDefault()` Returns the shared instance.
`IKeyHook` `newKeyHook(IKeyHookListener listener)`
`ResourceManager` `newResourceManager(ResourceManager parent)`
`ISendEvent` `newSendEvent()`
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComPlugin

    public ComPlugin()

The constructor.

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

This method is called upon plug-in activation

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

This method is called when the plug-in is stopped

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

#### getDefault

    public static ComPlugin getDefault()

Returns the shared instance.

#### newResourceManager

    public ResourceManager newResourceManager(ResourceManager parent)

#### getBrowserHistory

    public BrowserHistory getBrowserHistory()

#### newKeyHook

    public IKeyHook newKeyHook(IKeyHookListener listener)

Parameters:
  `listener` - The IKeyHookListener to handle the events raised by IKeyHook.
Returns:
  An instance of the IKeyHook.
See Also:
  `IKeyHook`

#### newSendEvent

    public ISendEvent newSendEvent()

Returns:
  An instance of the ISendEvent
See Also:
  `ISendEvent`